# QVM: Quaternions, Vectors, Matrices

### zero_quat

#include <boost/qvm/quat_operations.hpp>

    namespace boost
    {
        namespace qvm
        {
            template <class T>
            -unspecified-return-type- zero_quat();
        }
    }

#### Returns:

A read-only quaternion of unspecified type with scalar_type T, with all elements equal to scalar_traits<T>::value(0).

See also: boost/qvm/quat_operations.hpp | set_zero(quat)